Bug 198150 - Saving of document to PDF (and Postscript) does not always work.
Saving of document to PDF (and Postscript) does not always work.
Status: CLOSED ERRATA
Product: Fedora
Classification: Fedora
Component: gpp (Show other bugs)
6
All Linux
medium Severity medium
: ---
: ---
Assigned To: Matt Domsch
Fedora Extras Quality Assurance
:
Depends On:
Blocks:
  Show dependency treegraph
 
Reported: 2006-07-10 07:27 EDT by Armijn Hemel
Modified: 2007-11-30 17:11 EST (History)
1 user (show)

See Also:
Fixed In Version: 0.7.0-1.fc7
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2007-10-11 18:53:20 EDT
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---


Attachments (Terms of Use)

  None (edit)
Description Armijn Hemel 2006-07-10 07:27:45 EDT
Description of problem:

When I want to print to PDF "it doesn't always work", because the save button in
the dialog where you can change the name of the output file is non-functional.
When I first change the name via the dialog and then use any of the other
options to print, either via the "print" button in the lower right or the print
preview window, it does work as expected.

Version-Release number of selected component (if applicable):

0.6.6-1.fc5

How reproducible:

Always

Steps to Reproduce:
1. Add a few photos
2. Go to printer tab
3. choose "Create a PDF document"
4. Change the location
5. in the dialog click "save"
  
Actual results:

Nothing happened

Expected results:

I expected the file to be saved.

Additional info:
Comment 1 Armijn Hemel 2006-07-10 08:36:30 EDT
Also tested this on rawhide (fc6 with updates).

I've given the problem a bit more thought. If the "save" button in the file
dialog when chosing a different file would not be called "save" it would not be
so confusing.
Comment 2 Matt Domsch 2006-10-12 11:57:03 EDT
I've forwarded this issue to the upstream author to comment upon.
Comment 3 Armijn Hemel 2007-03-14 12:16:02 EDT
So, the file dialog has not been changed. I personally still find this confusing.

gpp-0.6.6-3.fc6
Comment 4 Matt Domsch 2007-09-20 09:55:59 EDT
I've pinged the upstream author about this.  Setting NEEDINFO waiting on him.
Thanks,
Matt
Comment 5 Matt Domsch 2007-09-27 00:17:07 EDT
I've built gpp-0.7.0 for Fedora 7 (testing) and Fedora 8.  They appear to
resolve this issue in my testing.

Please test one if these if you can, and re-open the issue if you find it is not
resolved to your satisfaction.

Thanks,
Matt
Comment 6 Matt Domsch 2007-09-27 09:46:15 EDT
This update in testing needs people to verify that it works for them.  If 
indeed it does work for you, please go to:
 http://admin.fedoraproject.org/updates/pending/F7/gpp-0.7.0-1.fc7

and vote as such.  This will speed up it's release as an official update.

Thanks,
Matt
Comment 7 Fedora Update System 2007-10-11 18:53:18 EDT
gpp-0.7.0-1.fc7 has been pushed to the Fedora 7 stable repository.  If problems still persist, please make note of it in this bug report.

Note You need to log in before you can comment on or make changes to this bug.